# Command: MatrixQ

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    MatrixQ - Test whether a nested array i a matrix

Synopsis:

    [array] MatrixQ -> true | false

Examples:

    [1 2 3] MatrixQ -> true
      [[1 2] [3 4]] MatrixQ -> true
      [[1] [2 3]] MatrixQ ->False

Bugs:

    This version fails on the third example

Author:

    Marc-Oliver Gewaltig

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative